### Class

# Ide DebuggerThreadGroup

#### Description

    class Ide.DebuggerThreadGroup : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_debugger_thread_group_new

No description available.

#### Instance methods

###### ide_debugger_thread_group_compare

No description available.

###### ide_debugger_thread_group_get_exit_code

No description available.

###### ide_debugger_thread_group_get_id

No description available.

###### ide_debugger_thread_group_get_pid

No description available.

###### ide_debugger_thread_group_set_exit_code

No description available.

###### ide_debugger_thread_group_set_pid

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebuggerThreadGroup:exit-code

No description available.

###### Ide.DebuggerThreadGroup:id

No description available.

###### Ide.DebuggerThreadGroup:pid

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebuggerThreadGroupClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.